/ def / variable
variable
A variable is a symbol associated with an object or a method than can be either read or written.

Each variable has a datatype.

A variable can be public, private or local.

Only classes written in Gambas can declare public variables.

| A variable is faster to access than a property, but you have no control on it.

### See also

Variable Declaration Local Variable Declaration The Gambas Object Model